Get all webhooks
curl --request GET \
--url https://api.cal.com/v2/webhooks \
--header 'Authorization: <authorization>'import requests
url = "https://api.cal.com/v2/webhooks"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.cal.com/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"payloadTemplate": "{\"content\":\"A new event has been scheduled\",\"type\":\"{{type}}\",\"name\":\"{{title}}\",\"organizer\":\"{{organizer.name}}\",\"booker\":\"{{attendees.0.name}}\"}",
"triggers": [],
"userId": 123,
"id": 123,
"subscriberUrl": "<string>",
"active": true,
"secret": "<string>"
}
]
}Webhooks
Get all webhooks
Gets a paginated list of webhooks for the authenticated user. If accessed using an OAuth access token, the WEBHOOK_READ scope is required.
GET
/
v2
/
webhooks
Get all webhooks
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_
Query Parameters
Maximum number of items to return
Required range:
1 <= x <= 250Example:
25
Number of items to skip
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I